Commits

Bryan O'Sullivan committed 532a569

Add Red Hat style init script.

Comments (0)

Files changed (2)

 prefix ?=
 bindir ?= $(prefix)/sbin
 etcdir ?= $(prefix)/etc/netplug
+initdir ?= $(prefix)/etc/rc.d/init.d
 scriptdir ?= $(prefix)/etc/netplug.d
 
 install_opts := -o root -g root
 	-rm -f netplugd *.o
 
 install:
-	install -d $(install_opts) -m 755 $(bindir) $(etcdir) $(scriptdir)
+	install -d $(install_opts) -m 755 $(bindir) $(etcdir) $(scriptdir) \
+		$(initdir)
 	install $(install_opts) -m 755 netplugd $(bindir)
 	install -C $(install_opts) -m 644 etc/netplugd.conf $(etcdir)
 	install -C $(install_opts) -m 755 scripts/netplug $(scriptdir)
+	install $(install_opts) -m 755 scripts/rc.netplugd $(initdir)/netplugd
+	/sbin/chkconfig --add netplugd

scripts/rc.netplugd

+#!/bin/sh
+#
+# netplugd     This shell script takes care of starting and stopping
+#              the network plug management daemon.
+#
+# chkconfig: 2345 11 89
+# description: netplugd is a daemon for managing non-static network \
+#              interfaces.
+# processname: netplugd
+# pidfile: /var/run/netplugd.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+[ -x /sbin/netplugd ] || exit 0
+
+if [ -f /etc/sysconfig/netplugd ]; then
+    . /etc/sysconfig/netplugd
+fi
+
+# See how we were called.
+case "$1" in
+  start)
+	# Start daemon.
+	echo -n $"Starting network plug daemon: "
+	daemon /sbin/netplugd ${NETPLUGDARGS}
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/netplugd
+	;;
+  stop)
+	# Stop daemon.
+	echo -n $"Shutting network plug daemon: "
+	killproc netplugd
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/netplugd
+	;;
+  status)
+	status netplugd
+	RETVAL=$?
+	;;
+  restart|reload)
+	$0 stop
+	$0 start
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|status|restart}"
+	RETVAL=1
+	;;
+esac
+
+exit $RETVAL